Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://app.magna.so/api/external/v1/staking/stakes \ --header 'Content-Type: application/json' \ --header 'x-magna-api-token: <api-key>' \ --data ' { "stakingPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "walletAddress": "<string>" } '
{ "isProcessed": true, "result": { "items": [ { "id": "f3b9d1a4-7c2e-4d6b-8a91-0e5c4b2a1d33", "amount": "500", "status": "STAKED", "createdAt": "2025-03-12T09:41:00.000Z", "walletAddress": "0x01f9632EA55Aa14eD6B39aA8EbCEcE425f7ef0e9" } ], "total": 1 } }
List the individual stakes in a staking pool, optionally filtered to a single wallet address.
1
Successful response
Endpoint-specific result payload.